{
  "name": "honey-fe",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc -b && vite build",
    "build:staging": "tsc -b && vite build --mode staging",
    "lint": "oxlint",
    "lint:fix": "oxlint --fix",
    "fmt": "oxfmt",
    "fmt:check": "oxfmt --check",
    "prepare": "husky"
  },
  "dependencies": {
    "@tailwindcss/vite": "^4.2.1",
    "@tanstack/devtools-vite": "^0.5.3",
    "@tanstack/react-devtools": "^0.9.10",
    "@tanstack/react-query": "^5.90.21",
    "@tanstack/react-query-devtools": "^5.91.3",
    "@tanstack/react-router": "^1.166.3",
    "@tanstack/react-router-devtools": "^1.166.3",
    "@tma.js/sdk-react": "^3.0.16",
    "arktype": "^2.2.0",
    "axios": "^1.13.6",
    "clsx": "^2.1.1",
    "eruda": "^3.4.3",
    "i18next": "^25.8.17",
    "i18next-http-backend": "^3.0.2",
    "motion": "^12.35.1",
    "react": "^19.2.4",
    "react-dom": "^19.2.4",
    "react-i18next": "^16.5.6",
    "tailwindcss": "^4.2.1"
  },
  "devDependencies": {
    "@i18next-selector/vite-plugin": "^0.0.18",
    "@tanstack/router-plugin": "^1.166.3",
    "@types/node": "^24.10.1",
    "@types/react": "^19.2.7",
    "@types/react-dom": "^19.2.3",
    "@vitejs/plugin-react-swc": "^4.2.3",
    "globals": "^17.4.0",
    "husky": "^9.1.7",
    "lint-staged": "^16.3.2",
    "oxfmt": "^0.36.0",
    "oxlint": "^1.51.0",
    "rollup": "^4.59.0",
    "typescript": "~5.9.3",
    "vite": "^7.3.1"
  },
  "lint-staged": {
    "*": "oxfmt --no-error-on-unmatched-pattern",
    "*.{js,jsx,ts,tsx,mjs,cjs}": "pnpm run lint"
  }
}
